Create a Pix
POST/v2/charge/pix
This endpoint is used for generating a Pix charge.
Pix creation is synchronous, but registration with the financial institution is performed in the background. Therefore, the request response will not contain the qrcode field.
To receive the qrcode, it is necessary to sign a webhook to receive the complete Pix payload when the registration is confirmed.
Prerequisite
To issue a Pix charge, it is necessary to have a Pix Account registered in your account. Every Pix belongs to a Pix Account that represents the payment institution and the key that will be used to issue the Pix.
The Pix Account creation must be done through the system's web interface or through the endpoint POST /api/v2/charge/pix_accounts.
Webhook Events
When registering a Pix, the system creates a command to register the PIX with the financial institution and the pix.register.requested event is triggered. After the Pix registration is confirmed at the institution, the pix.register.confirmed event is triggered.
The pix.db.created event is also triggered in this operation.
Request
Responses
- 201
- 401
- 422
Pix created with customer data
Authentication failure. Invalid token
Validation error